Bug 1411251 (CVE-2017-5208) - CVE-2017-5208 icoutils: Check_offset overflow on 64-bit systems
Summary: CVE-2017-5208 icoutils: Check_offset overflow on 64-bit systems
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5208
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1411252 1411253 1430610 1430611
Blocks: 1411254
TreeView+ depends on / blocked
 
Reported: 2017-01-09 09:16 UTC by Andrej Nemec
Modified: 2019-09-29 14:03 UTC (History)
2 users (show)

Fixed In Version: icoutils 0.31.1
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in icoutils, in the wrestool program. An attacker could create a crafted executable that, when read by wrestool, could result in memory corruption leading to a crash or potential code execution.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:05:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0837 normal SHIPPED_LIVE Important: icoutils security update 2017-03-23 05:04:55 UTC

Description Andrej Nemec 2017-01-09 09:16:59 UTC
An integer overflow vulnerability was found in icoutils in the wrestool program. A maliciously crafted file could make the application crash or possibly allow code execution.

References:

http://seclists.org/oss-sec/2017/q1/38
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=850017

Upstream patches:

http://git.savannah.gnu.org/cgit/icoutils.git/commit/?id=0d569f458f306b88f60156d60c9cf058125cf173
http://git.savannah.gnu.org/cgit/icoutils.git/commit/?id=4fbe9222fd79ee31b7ec031b0be070a9a400d1d3

Comment 1 Andrej Nemec 2017-01-09 09:17:47 UTC
Created icoutils tracking bugs for this issue:

Affects: fedora-all [bug 1411252]
Affects: epel-6 [bug 1411253]

Comment 5 Doran Moppert 2017-03-10 01:50:31 UTC
As noted in comment 0, the patch for CVE-5208-5331 (bug 1412248) must be included to correctly address this vulnerability.

Comment 6 errata-xmlrpc 2017-03-23 01:14:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0837 https://rhn.redhat.com/errata/RHSA-2017-0837.html


Note You need to log in before you can comment on or make changes to this bug.